Subject: bug#10284: "Renaming: permission denied" file-error in Windows

From: LynX <[email-masked]>
Date: Wed, 28 Dec 2011 21:53:39 +0200

Dear Eli,

Thank you for your response.

I just want to double check that I understood you right.

 > This first removes the target, and only then compares the device
 > numbers.  Wouldn't it be better to do it the other way around, at
 > least when the target is a directory?  That way, the target is left
 > intact if the caller doesn't want to copy over the target, and also
 > the filesystem is left in the same state as on Posix hosts in this
 > case, i.e. the contract of `rename' is preserved on all systems.

You mean that before setting errno to EXDEV we also need to check that 
target is a directory (since files are moved correctly)?

Regards,
LX

25.12.2011 11:40, Eli Zaretskii пишет:
>> Date: Sun, 25 Dec 2011 09:33:34 +0200
>> From: LynX<[email-masked]>
>> Cc: [email-masked], [email-masked]
>>
>> Dear Eli,
>>
>> I've opened a bug report here:
>>
>> 10284: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10284
>>
>> Here is the patch for this issue (it is done for the latest source
>> package emacs-23.3b.tar.bz2):
>
> I've redirected this discussion to the bug tracker,
> [email-masked].
>
> Please respond there, not here.
>
>